summaryrefslogtreecommitdiffstats
path: root/tests.sh
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2019-11-01 15:19:03 -0400
committerTavian Barnes <tavianator@tavianator.com>2019-11-01 15:19:03 -0400
commit5e1dd2cf253dd9f75164cbeff098c7eae36c4fd7 (patch)
treefb63a000808f67223ae9532bcf6896c97293eb9a /tests.sh
parenta81c3f1dac2771b77e4d55012bb09a24279fb695 (diff)
downloadbfs-5e1dd2cf253dd9f75164cbeff098c7eae36c4fd7.tar.xz
tests.sh: Bail out if setup fails
Diffstat (limited to 'tests.sh')
-rwxr-xr-xtests.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/tests.sh b/tests.sh
index e42a248..3b05bf6 100755
--- a/tests.sh
+++ b/tests.sh
@@ -16,6 +16,7 @@
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE. #
############################################################################
+set -e
set -o physical
umask 022
@@ -965,6 +966,7 @@ function inum() {
cd "$TMP"
+set +e
# Test cases